/*
  Follow the pseudocode to apply the grid layout to the
  name grid.

  After each property you type, save it and refresh the
  browser to see what each line does.
*/
/*
  Declare a CSS rule for the "name-grid" class.
  Make sure to do the last part with the close curly brace, too,
  so you can save your CSS file after each property.

  The grid needs to have four equally-sized columns with a gap
  of 18px between rows and columns.
*/

/* Your definition for the "name-grid" CSS rule, here. */



/*
  Now, create a CSS rule for the name-grid-entry class.
  Give it the box shadow and the padding.
  ALSO give it a background color of white.
*/



/*
  Create a CSS rule for the name-grid-name class.
*/


/*
  Set the background color of the html tag AND the body tag
  to rgb(248, 248, 248) by using a comma-separated list for
  the tag selectors rule like

    html, body {
      ...properties...
    }
*/
html, body{
  background-color: rgb(248, 248, 248);
}

.name-grid{
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 18px;
}

.name-grid-entry{
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2);
  padding: 12px;
}

.name-grid-name{
  position: relative;
  font-weight: bold;
  font-size: large;
  color: darkblue;
}

.name-grid-name::before {
  content: '';
  position: absolute;
  width: 30%;
  height: 4px;
  border-radius: 4px;
  background-color: #18272F;
  bottom: 0;
  left: 0;
  transform-origin: right;
  transform: scaleX(0);
  transition: transform .2s ease-in-out;
}

.name-grid-name:hover::before {
transform-origin: left;
transform: scaleX(1);
}